Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

migrate qradar and splunk httpapi plugins to collection #61558

Open
wants to merge 6 commits into
base: devel
from

Conversation

@maxamillion
Copy link
Contributor

commented Aug 29, 2019

Signed-off-by: Adam Miller admiller@redhat.com

SUMMARY

Both of these have moved to collections

https://github.com/ansible-security/ibm_qradar
https://github.com/ansible-security/splunk_enterprise_security

ISSUE TYPE
  • Bugfix Pull Request
COMPONENT NAME

lib/ansible/plugins/httpapi/splunk.py
lib/ansible/plugins/httpapi/qradar.py

@ansibot

This comment has been minimized.

@acozine

This comment has been minimized.

Copy link
Contributor

commented Aug 29, 2019

Moving modules to collections is different from deprecation, and should use a different procedure.

@ansibot ansibot removed the needs_triage label Aug 29, 2019

@maxamillion maxamillion changed the title deprecate qradar and splunk httpapi plugins, moving to collection migrate qradar and splunk httpapi plugins to collection Aug 29, 2019

@ansibot

This comment has been minimized.

Copy link
Contributor

commented Sep 3, 2019

The test ansible-test sanity --test yamllint [explain] failed with 1 error:

changelogs/fragments/deprecate_splunk_qradar_httpapi_plugins.yaml:4:1: empty-lines: too many blank lines (1 > 0)

click here for bot help

@ansibot ansibot added needs_revision and removed core_review labels Sep 3, 2019

maxamillion added 4 commits Jul 17, 2019
deprecate qradar and splunk httpapi plugins, moving to collection
Signed-off-by: Adam Miller <admiller@redhat.com>
switch changelog fragment to removed_features
Signed-off-by: Adam Miller <admiller@redhat.com>
added to porting guide
Signed-off-by: Adam Miller <admiller@redhat.com>
move to 2.10 porting guide
Signed-off-by: Adam Miller <admiller@redhat.com>

@maxamillion maxamillion force-pushed the maxamillion:deprecate/httpapi/qradar_splunk branch from 279601e to adb7d12 Sep 9, 2019

don't change 2.9 porting guide
Signed-off-by: Adam Miller <admiller@redhat.com>
@ansibot

This comment has been minimized.

Copy link
Contributor

commented Sep 9, 2019

The test ansible-test sanity --test yamllint [explain] failed with 1 error:

changelogs/fragments/deprecate_splunk_qradar_httpapi_plugins.yaml:4:1: empty-lines: too many blank lines (1 > 0)

click here for bot help

fix yamllint rage
Signed-off-by: Adam Miller <admiller@redhat.com>
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
4 participants
You can’t perform that action at this time.